cdac.medinfo.sdk.hl7282.baselibs.segments

## Class CM0

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.CM0

- All Implemented Interfaces:
    ISegment

      public class CM0
      extends Segment

  CM0 - Clinical Study Master Segment.

  The Technical Steward for the CM0 segment is ORDERS. The Clinical Study Master (CM0) segment contains the information about the study itself.All of the fields in the segment describe the study status at the sending facility unless otherwise agreed upon.

  Represents an HL7 CM0 message segment. This segment has the following fields:

  CM0-1: Set ID - CM0 (SI)Optional
  CM0-2: Sponsor Study ID (EI)Required
  CM0-3: Alternate Study ID (EI)Optional
  CM0-4: Title of Study (ST)Required
  CM0-5: Chairman of Study (XCN)Optional
  CM0-6: Last IRB Approval Date (DT)Optional
  CM0-7: Total Accrual to Date (NM)Optional
  CM0-8: Last Accrual Date (DT)Optional
  CM0-9: Contact for Study (XCN)Optional
  CM0-10: Contact's Telephone Number (XTN)Optional
  CM0-11: Contact's Address (XAD)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CM0()` Constructs the CM0 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAlternateStudyID(EI objalternateStudyID)` Add the Alternate Study ID.
    `void` | `addAlternateStudyID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Add the Alternate Study ID.
    `void` | `addChairmanofStudy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Chairman of Study.
    `void` | `addChairmanofStudy(XCN objchairmanofStudy)` Add the Chairman of Study.
    `void` | `addContactAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Contact Address.
    `void` | `addContactAddress(XAD objcontactAddress)` Add the Contact Address.
    `void` | `addContactforStudy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Contact for Study.
    `void` | `addContactforStudy(XCN objcontactforStudy)` Add the Contact for Study.
    `ISingleCollection<EI>` | `getAlternateStudyID()` Retrieves the Alternate Study ID.
    `ISingleCollection<XCN>` | `getChairmanofStudy()` Retrieves the Chairman of Study.
    `ISingleCollection<XAD>` | `getContactAddress()` Retrieves the Contact Address.
    `ISingleCollection<XCN>` | `getContactforStudy()` Retrieves the Contact for Study.
    `XTN` | `getContactTelephoneNumber()` Retrieves the Contact Telephone Number.
    `DT` | `getLastAccrualDate()` Retrieves the Last Accrual Date.
    `DT` | `getLastIRBApprovalDate()` Retrieves the Last IRB Approval Date.
    `SI` | `getSetID_CM0()` Retrieves the Set ID CM0.
    `EI` | `getSponsorStudyID()` Retrieves the Sponsor Study ID.
    `ST` | `getTitleofStudy()` Retrieves the Title of Study.
    `NM` | `getTotalAccrualtoDate()` Retrieves the Total Accrual to Date.
    `void` | `setAlternateStudyID(ISingleCollection<EI> objalternateStudyIDList)` Set the Alternate Study ID.
    `void` | `setChairmanofStudy(ISingleCollection<XCN> objchairmanofStudyList)` Set the Chairman of Study.
    `void` | `setContactAddress(ISingleCollection<XAD> objcontactAddressList)` Set the Contact Address.
    `void` | `setContactforStudy(ISingleCollection<XCN> objcontactforStudyList)` Set the Contact for Study.
    `void` | `setContactTelephoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Contact Telephone Number.
    `void` | `setContactTelephoneNumber(XTN objcontactTelephoneNumber)` Set the Contact Telephone Number.
    `void` | `setLastAccrualDate(DT objlastAccrualDate)` Set the Last Accrual Date.
    `void` | `setLastAccrualDate(java.lang.String strLastAccrualDate)` Set the Last Accrual Date.
    `void` | `setLastIRBApprovalDate(DT objlastIRBApprovalDate)` Set the Last IRB Approval Date.
    `void` | `setLastIRBApprovalDate(java.lang.String strLastIRBApprovalDate)` Set the Last IRB Approval Date.
    `void` | `setSetID_CM0(SI objsetID_CM0)` Set the Set ID CM0.
    `void` | `setSetID_CM0(java.lang.String strSetID_CM0)` Set the Set ID CM0.
    `void` | `setSponsorStudyID(EI objsponsorStudyID)` Set the Sponsor Study ID.
    `void` | `setSponsorStudyID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Sponsor Study ID.
    `void` | `setTitleofStudy(ST objtitleofStudy)` Set the Title of Study.
    `void` | `setTitleofStudy(java.lang.String strTitleofStudy)` Set the Title of Study.
    `void` | `setTotalAccrualtoDate(NM objtotalAccrualtoDate)` Set the Total Accrual to Date.
    `void` | `setTotalAccrualtoDate(java.lang.String strTotalAccrualtoDate)` Set the Total Accrual to Date.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CM0

          public CM0()

      Constructs the CM0 segment.

  - ### Method Detail

    - #### getAlternateStudyID

          public ISingleCollection<EI> getAlternateStudyID()

      Retrieves the Alternate Study ID. This field contains the local or collaborators' cross-referenced study numbers.
      Returns:
        ISingleCollection - alternateStudyID

    - #### getChairmanofStudy

          public ISingleCollection<XCN> getChairmanofStudy()

      Retrieves the Chairman of Study. This field contains the sending institution's chairman.
      Returns:
        ISingleCollection - chairmanofStudy

    - #### getContactAddress

          public ISingleCollection<XAD> getContactAddress()

      Retrieves the Contact Address. This field contains the address of the study contact.
      Returns:
        ISingleCollection - contactAddress

    - #### getContactforStudy

          public ISingleCollection<XCN> getContactforStudy()

      Retrieves the Contact for Study. This field contains the name of the individual who should be contacted for inquiries about data transmitted for this study.
      Returns:
        ISingleCollection - contactforStudy

    - #### getContactTelephoneNumber

          public XTN getContactTelephoneNumber()

      Retrieves the Contact Telephone Number. This field contains the phone number of the study contact.
      Returns:
        XTN - contactTelephoneNumber

    - #### getLastAccrualDate

          public DT getLastAccrualDate()

      Retrieves the Last Accrual Date. This field contains the status information on the patient registration activity for quality control and operations purposes.
      Returns:
        DT - lastAccrualDate

    - #### getLastIRBApprovalDate

          public DT getLastIRBApprovalDate()

      Retrieves the Last IRB Approval Date. This field contains an institution's Internal Review Board approval dates which are required annually to continue participation in a clinical trial.
      Returns:
        DT - lastIRBApprovalDate

    - #### getSetID_CM0

          public SI getSetID_CM0()

      Retrieves the Set ID CM0. This field contains a number that uniquely identify this transaction for the purpose of adding, changing, or deleting the transaction.
      Returns:
        SI - setID_CM0

    - #### getSponsorStudyID

          public EI getSponsorStudyID()

      Retrieves the Sponsor Study ID. This field contains the study number established by the study sponsor.
      Returns:
        EI - sponsorStudyID

    - #### getTitleofStudy

          public ST getTitleofStudy()

      Retrieves the Title of Study. This field contains the sending institution's title for the clinical trial.
      Returns:
        ST - titleofStudy

    - #### getTotalAccrualtoDate

          public NM getTotalAccrualtoDate()

      Retrieves the Total Accrual to Date. This field is a quality control field to enable checks the patient data have been transmitted on all registered patients.
      Returns:
        NM - totalAccrualtoDate

    - #### addAlternateStudyID

          public void addAlternateStudyID(java.lang.String strEntityIdentifier,
                                 java.lang.String strNamespaceId,
                                 java.lang.String strUniversalId,
                                 java.lang.String strUniversalIdType)

      Add the Alternate Study ID. This field contains the local or collaborators' cross-referenced study numbers.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### addAlternateStudyID

          public void addAlternateStudyID(EI objalternateStudyID)

      Add the Alternate Study ID. This field contains the local or collaborators' cross-referenced study numbers.
      Parameters:
        `objalternateStudyID` - Object of Alternate Study ID.

    - #### setAlternateStudyID

          public void setAlternateStudyID(ISingleCollection<EI> objalternateStudyIDList)

      Set the Alternate Study ID. This field contains the local or collaborators' cross-referenced study numbers.
      Parameters:
        `objalternateStudyIDList` - List of Alternate Study ID.

    - #### addChairmanofStudy

          public void addChairmanofStudy(java.lang.String strIDNumber,
                                FN objFamilyName,
                                java.lang.String strGivenName,
                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                java.lang.String strSuffix,
                                java.lang.String strPrefix,
                                CWE objSourceTable,
                                HD objAssigningAuthority,
                                java.lang.String strNameTypeCode,
                                java.lang.String strIdentifierCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strNameRepresentationCode,
                                CWE objNameContext,
                                java.lang.String strNameAssemblyOrder,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                java.lang.String strProfessionalSuffix,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepratment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Add the Chairman of Study. This field contains the sending institution's chairman.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `objSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addChairmanofStudy

          public void addChairmanofStudy(XCN objchairmanofStudy)

      Add the Chairman of Study. This field contains the sending institution's chairman.
      Parameters:
        `objchairmanofStudy` - Object of Chairman of Study.

    - #### setChairmanofStudy

          public void setChairmanofStudy(ISingleCollection<XCN> objchairmanofStudyList)

      Set the Chairman of Study. This field contains the sending institution's chairman.
      Parameters:
        `objchairmanofStudyList` - List of Chairman of Study.

    - #### addContactAddress

          public void addContactAddress(SAD objStreetAddress,
                               java.lang.String strOtherDesignation,
                               java.lang.String strCity,
                               java.lang.String strStateOrProvince,
                               java.lang.String strZipOrPostalCode,
                               java.lang.String strCountry,
                               java.lang.String strAddressType,
                               java.lang.String strOtherGeographicDesignation,
                               CWE objCountyParishCode,
                               CWE objCensusTract,
                               java.lang.String strAddressRepresentationCode,
                               DTM objEffectiveDate,
                               DTM objExpirationDate,
                               CWE objEXpirationReason,
                               java.lang.String strTemporaryIndicator,
                               java.lang.String strBadAddressIndicator,
                               java.lang.String strAddressUsage,
                               java.lang.String strAddressee,
                               java.lang.String strComment,
                               java.lang.String strPreferenceOrder,
                               CWE objProtectionCode,
                               EI objAddressIdentifier)

      Add the Contact Address. This field contains the address of the study contact.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAddressIdentifier` - indicates a unique identifier for address

    - #### addContactAddress

          public void addContactAddress(XAD objcontactAddress)

      Add the Contact Address. This field contains the address of the study contact.
      Parameters:
        `objcontactAddress` - Object of Contact Address.

    - #### setContactAddress

          public void setContactAddress(ISingleCollection<XAD> objcontactAddressList)

      Set the Contact Address. This field contains the address of the study contact.
      Parameters:
        `objcontactAddressList` - List of Contact Address.

    - #### addContactforStudy

          public void addContactforStudy(java.lang.String strIDNumber,
                                FN objFamilyName,
                                java.lang.String strGivenName,
                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                java.lang.String strSuffix,
                                java.lang.String strPrefix,
                                CWE objSourceTable,
                                HD objAssigningAuthority,
                                java.lang.String strNameTypeCode,
                                java.lang.String strIdentifierCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strNameRepresentationCode,
                                CWE objNameContext,
                                java.lang.String strNameAssemblyOrder,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                java.lang.String strProfessionalSuffix,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepratment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Add the Contact for Study. This field contains the name of the individual who should be contacted for inquiries about data transmitted for this study.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `objSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addContactforStudy

          public void addContactforStudy(XCN objcontactforStudy)

      Add the Contact for Study. This field contains the name of the individual who should be contacted for inquiries about data transmitted for this study.
      Parameters:
        `objcontactforStudy` - Object of Contact for Study.

    - #### setContactforStudy

          public void setContactforStudy(ISingleCollection<XCN> objcontactforStudyList)

      Set the Contact for Study. This field contains the name of the individual who should be contacted for inquiries about data transmitted for this study.
      Parameters:
        `objcontactforStudyList` - List of Contact for Study.

    - #### setContactTelephoneNumber

          public void setContactTelephoneNumber(java.lang.String strTeleCommunicationUseCode,
                                       java.lang.String strTeleCommunicationEquipmentType,
                                       java.lang.String strCommuinicationAddress,
                                       java.lang.String strCountryCode,
                                       java.lang.String strAreaCityCode,
                                       java.lang.String strLocalNumber,
                                       java.lang.String strExtension,
                                       java.lang.String strAnyText,
                                       java.lang.String strExtensionPrefix,
                                       java.lang.String strSpeedDialCode,
                                       java.lang.String strUnformattedTelephoneNumber,
                                       java.lang.String strEffectiveStartDate,
                                       java.lang.String strExpirationDate,
                                       CWE objExpirationReason,
                                       CWE objProtectionCode,
                                       EI objSharedTelecommunicationIdentifier,
                                       java.lang.String strPreferenceOrder)

      Set the Contact Telephone Number. This field contains the phone number of the study contact.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### setContactTelephoneNumber

          public void setContactTelephoneNumber(XTN objcontactTelephoneNumber)

      Set the Contact Telephone Number. This field contains the phone number of the study contact.
      Parameters:
        `objcontactTelephoneNumber` - Object of Contact Telephone Number.

    - #### setLastAccrualDate

          public void setLastAccrualDate(java.lang.String strLastAccrualDate)

      Set the Last Accrual Date. This field contains the status information on the patient registration activity for quality control and operations purposes.
      Parameters:
        `strLastAccrualDate` - String which to set as Last Accrual Date

    - #### setLastAccrualDate

          public void setLastAccrualDate(DT objlastAccrualDate)

      Set the Last Accrual Date. This field contains the status information on the patient registration activity for quality control and operations purposes.
      Parameters:
        `objlastAccrualDate` - Object of Last Accrual Date.

    - #### setLastIRBApprovalDate

          public void setLastIRBApprovalDate(java.lang.String strLastIRBApprovalDate)

      Set the Last IRB Approval Date. This field contains an institution's Internal Review Board approval dates which are required annually to continue participation in a clinical trial.
      Parameters:
        `strLastIRBApprovalDate` - String which to set as Last IRB Approval Date

    - #### setLastIRBApprovalDate

          public void setLastIRBApprovalDate(DT objlastIRBApprovalDate)

      Set the Last IRB Approval Date. This field contains an institution's Internal Review Board approval dates which are required annually to continue participation in a clinical trial.
      Parameters:
        `objlastIRBApprovalDate` - Object of Last IRB Approval Date.

    - #### setSetID_CM0

          public void setSetID_CM0(java.lang.String strSetID_CM0)

      Set the Set ID CM0. This field contains a number that uniquely identify this transaction for the purpose of adding, changing, or deleting the transaction.
      Parameters:
        `strSetID_CM0` - This field contains the number that identifies CM0 transaction.

    - #### setSetID_CM0

          public void setSetID_CM0(SI objsetID_CM0)

      Set the Set ID CM0. This field contains a number that uniquely identify this transaction for the purpose of adding, changing, or deleting the transaction.
      Parameters:
        `objsetID_CM0` - Object of Set ID CM0.

    - #### setSponsorStudyID

          public void setSponsorStudyID(java.lang.String strEntityIdentifier,
                               java.lang.String strNamespaceId,
                               java.lang.String strUniversalId,
                               java.lang.String strUniversalIdType)

      Set the Sponsor Study ID. This field contains the study number established by the study sponsor.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setSponsorStudyID

          public void setSponsorStudyID(EI objsponsorStudyID)

      Set the Sponsor Study ID. This field contains the study number established by the study sponsor.
      Parameters:
        `objsponsorStudyID` - Object of Sponsor Study ID.

    - #### setTitleofStudy

          public void setTitleofStudy(java.lang.String strTitleofStudy)

      Set the Title of Study. This field contains the sending institution's title for the clinical trial.
      Parameters:
        `strTitleofStudy` - String which to set as Title of Study

    - #### setTitleofStudy

          public void setTitleofStudy(ST objtitleofStudy)

      Set the Title of Study. This field contains the sending institution's title for the clinical trial.
      Parameters:
        `objtitleofStudy` - Object of Title of Study.

    - #### setTotalAccrualtoDate

          public void setTotalAccrualtoDate(java.lang.String strTotalAccrualtoDate)

      Set the Total Accrual to Date. This field is a quality control field to enable checks the patient data have been transmitted on all registered patients.
      Parameters:
        `strTotalAccrualtoDate` - String which to set as Total Accrualto Date

    - #### setTotalAccrualtoDate

          public void setTotalAccrualtoDate(NM objtotalAccrualtoDate)

      Set the Total Accrual to Date. This field is a quality control field to enable checks the patient data have been transmitted on all registered patients.
      Parameters:
        `objtotalAccrualtoDate` - Object of Total Accrual to Date.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.